import { OnDestroy } from '@angular/core';
import { Router } from '@angular/router';
import { Title } from '@angular/platform-browser';
import { Subscription } from 'rxjs';
export declare class TitleService implements OnDestroy {
    private router;
    private title;
    titleSubscription: Subscription;
    constructor(router: Router, title: Title);
    ngOnDestroy(): void;
    refreshTitle(): void;
    getTitle(state: any, parent: any): any[];
}
